Sync with Waxpeer session to auto-fill API key

Get listed steam items

GET/v1/list-items-steam

Your own listings. escrow is true when the item was listed while it was still under a Steam trade lock. unlock_at is when that lock ends and the item can be sent. unlock_at is null on a regular listing.

Prices are integers. 1000 = $1.00 USD.

Parameters

NameLocationTypeDescription
api
required
querystring
game
optional
queryenum

Game code for requested items (csgo, tf2, rust, dota2)

enum: csgo, tf2, rust, dota2

Responses

200 Successful operation

NameTypeDescription
success
optional
boolean

Whether the operation succeeded

items
optional
array<object>

Array of items

item_id
optional
string

Listing id (Steam asset id), always a string. Use it with POST /v1/edit-items. Rust asset ids are 18 digits (larger than 2^53), so send and store item_id as a string: a JSON number is rounded by JavaScript and most JSON parsers.

price
optional
number

Item price in integer format (1000 = $1.00 USD)

date
optional
string

Date / time of event

position
optional
number
name
optional
string

Full item market hash name

market_name
optional
string

Market name of the item

steam_price
optional
object

Steam item price in integer (1000 = $1.00 USD)

average
optional
number

Steam average price in integer format (1000 = $1.00 USD)

rarity_color
optional
string

Item rarity color hex

rarity
optional
string

Rarity name (e.g. Mil-Spec Grade, Classified, Covert). Returned when minified=0

current
optional
number

Steam latest price in integer format (1000 = $1.00 USD)

name
optional
string

Full item market hash name

lowest_price
optional
number

Minimum price currently listed (1000 = $1.00 USD)

img
optional
string

Direct URL to item image on Steam Community CDN

escrow
optional
boolean

true if the item was listed during an active Steam trade lock

unlock_at
optional
string

RFC 3339 UTC time when the Steam trade lock ends and item can be sent. null for regular items

Response
{
  "success": true,
  "items": [
    {
      "item_id": "16037911576",
      "price": 2367941,
      "date": "2020-01-11T07:18:50.749Z",
      "position": 1,
      "name": "★ Butterfly Knife | Gamma Doppler (Factory New)",
      "market_name": "Gamma Doppler Phase 2",
      "steam_price": {
        "average": 2767941,
        "rarity_color": "string",
        "rarity": "string",
        "current": 2633000,
        "name": "★ Butterfly Knife | Gamma Doppler Phase 2 (Factory New)",
        "lowest_price": 2125555,
        "img": "-9a81dlWLwJ2UUGcVs_nsVtzdOEdtWwKGZZLQHTxDZ7I56KU0Zwwo4NUX4oFJZEHLbXH5ApeO4YmlhxYQknCRvCo04DEVlxkKgpovbSsLQJf0ebcZThQ6tCvq4GGqPD1PrbQqW9e-NV9j_v-5YT0m1HllB81NDG3S9rEMFFrf1iC_QXqw7u9h5PqupTKyiNh6ClxtCvczUPmgUtPPbE-1qDISFicAqVXXP7V9p_o84A"
      },
      "escrow": true,
      "unlock_at": "2026-09-30T14:00:00.000Z"
    }
  ]
}